| DocBook: The Definitive Guide 2.0.17 (Alpha)

# ooexception

$Revision$

$Date$

ooexception — An exception in an object-oriented programming language

## Synopsis

### Content Model

    ooexception ::=
    ((modifier|package)*,
     exceptionname)

### Attributes

Common attributes

## Description

The `OOException` element identifies programming language exceptions, generally from object-oriented programming languages. The `OOException` is a wrapper for the `ExceptionName` plus some `Modifier`s.

### Processing expectations

Formatted inline.

### Parents

These elements contain ooexception: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsis`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in ooexception: `exceptionname`, `modifier`, `package`.

ooclass |  | oointerface

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.